## org.apache.http.client.protocol
Class ResponseProcessCookies

    java.lang.Object
      org.apache.http.client.protocol.ResponseProcessCookies

All Implemented Interfaces:
  HttpResponseInterceptor

    @Immutable
    public class ResponseProcessCookies

extends Object
implements HttpResponseInterceptor

Response interceptor that populates the current `CookieStore` with data contained in response cookies received in the given the HTTP response.

Since:
  4.0

Constructor Summary
`ResponseProcessCookies()`

Method Summary
`void` `process(HttpResponse response, HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseProcessCookies

    public ResponseProcessCookies()

Method Detail

### process

    public void process(HttpResponse response,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Specified by:
    `process` in interface `HttpResponseInterceptor`
  Throws:
    `HttpException`
    `IOException`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.